import {Component, Input, OnChanges, OnInit} from '@angular/core';
import {RewardModel} from '../models/reward.model';

@Component({
  selector: 'app-single-payout-rewards-list',
  templateUrl: './single-payout-rewards-list.component.html',
  styleUrls: ['./single-payout-rewards-list.component.scss']
})
export class SinglePayoutRewardsListComponent implements OnInit, OnChanges {
  @Input() items: RewardModel[] = [];
  constructor() { }

  ngOnInit(): void {
    // this.items.push(new RewardModel({}));
  }
  ngOnChanges(changes): void {
    // console.log(changes, this.items);
  }

}
